summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bitbake15
1 files changed, 10 insertions, 5 deletions
diff --git a/scripts/bitbake b/scripts/bitbake
index 7a59c6f52a..0431d9531a 100755
--- a/scripts/bitbake
+++ b/scripts/bitbake
@@ -37,6 +37,16 @@ if [ "$py_v26_check" != "True" ]; then
exit 1
fi
+if [ ! -e conf/bblayers.conf ] ; then
+ BDPRINT=""
+ [ -n "$BUILDDIR" ] && BDPRINT=": $BUILDDIR"
+ echo "Unable to find conf/bblayers.conf"
+ echo "BitBake must be run from within your build directory$BDPRINT"
+ exit 1
+elif [ -z "$BUILDDIR" ] ; then
+ BUILDDIR="`pwd`"
+fi
+
needtar="1"
TARVERSION=`tar --version | head -n 1 | cut -d ' ' -f 4`
float_test() {
@@ -47,11 +57,6 @@ float_test() {
# but earlier versions do not
float_test "$TARVERSION > 1.23" && needtar="0"
-if [ "`pwd`" != "$BUILDDIR" ] ; then
- echo "BitBake must be run from your build directory: $BUILDDIR"
- exit 1
-fi
-
buildpseudo="1"
if [ $needpseudo = "1" ]; then
if [ -e "$BUILDDIR/pseudodone" ]; then